package cn.net.caoyao.cpzshandset.service.presenter.tools;

import android.content.Context;
import android.content.Intent;
import cn.net.caoyao.cpzshandset.common.config.HandsetVersionConstant;
import cn.net.caoyao.cpzshandset.db.dal.common.CommonActivateDal;
import cn.net.caoyao.cpzshandset.db.dal.common.CommonActivateWithPackDal;
import cn.net.caoyao.cpzshandset.db.dal.common.CommonActivateWithRelationDal;
import cn.net.caoyao.cpzshandset.db.dal.commonEgg.CommonEggActivateDal;
import cn.net.caoyao.cpzshandset.db.dal.commonEgg.CommonEggActivateWithPackDal;
import cn.net.caoyao.cpzshandset.db.dal.commonfarmers.CommonFarmersActivateDal;
import cn.net.caoyao.cpzshandset.db.dal.commonfarmers.CommonFarmersActivateWithPackDal;
import cn.net.caoyao.cpzshandset.db.dal.kia.KIAActivateDal;
import cn.net.caoyao.cpzshandset.db.dal.liqueur.LiqueurActivateDal;
import cn.net.caoyao.cpzshandset.db.dal.liqueur.LiqueurActivateWithPackDal;
import cn.net.caoyao.cpzshandset.db.dal.liqueur.LiqueurActivateWithRelationDal;
import cn.net.caoyao.cpzshandset.db.dal.liqueur.LiqueurGroupInfoDal;
import cn.net.caoyao.cpzshandset.db.dal.liqueurSFY.LiqueurSFYActivateWithRelationDal;
import cn.net.caoyao.cpzshandset.db.dal.liqueurSFY.LiqueurSFYGroupInfoDal;
import cn.net.caoyao.cpzshandset.db.dal.ythImage.YthImageActivateDal;
import cn.net.caoyao.cpzshandset.db.presenter.ActivateDal;
import cn.net.caoyao.cpzshandset.db.presenter.ActivateWithPackDal;
import cn.net.caoyao.cpzshandset.db.presenter.ActivateWithRelationDal;
import cn.net.caoyao.cpzshandset.db.presenter.GroupInfoDal;
import cn.net.caoyao.cpzshandset.service.presenter.ActivateConfigConstact;
import cn.net.caoyao.cpzshandset.service.presenter.BatchLabelScannerConstact;
import cn.net.caoyao.cpzshandset.service.presenter.OptionHisListStyleConstact;
import cn.net.caoyao.cpzshandset.service.presenter.SingleLabelScannerConstact;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activate.common.CommonActivateBatchLSPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activate.common.CommonActivateConfigPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activate.common.CommonActivateListPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activate.common.CommonActivateSingleLSPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activate.commonEgg.CommonEggActivateBatchLSPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activate.commonEgg.CommonEggActivateConfigPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activate.commonEgg.CommonEggActivateListPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activate.commonEgg.CommonEggActivateSingleLSPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activate.commonfarmers.CommonFarmersActivateBatchLSPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activate.commonfarmers.CommonFarmersActivateConfigPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activate.commonfarmers.CommonFarmersActivateListPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activate.commonfarmers.CommonFarmersActivateSingleLSPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activate.liqueur.LiqueurActivateBatchLSPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activate.liqueur.LiqueurActivateConfigPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activate.liqueur.LiqueurActivateListPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activate.liqueur.LiqueurActivateSingleLSPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activate.ythImage.YthImageActivateConfigPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activate.ythImage.YthImageActivateListPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activate.ythImage.YthImageActivateSingleLSPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithPack.common.CommonActivateWithPackConfigPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithPack.common.CommonActivateWithPackListPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithPack.common.CommonActivateWithPackSingleLSPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithPack.common.CommonActivateWithPackSubListPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithPack.commonEgg.CommonEggActivateWithPackConfigPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithPack.commonEgg.CommonEggActivateWithPackListPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithPack.commonEgg.CommonEggActivateWithPackSingleLSPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithPack.commonEgg.CommonEggActivateWithPackSubListPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithPack.commonFarmers.CommonFarmersActivateWithPackConfigPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithPack.commonFarmers.CommonFarmersActivateWithPackListPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithPack.commonFarmers.CommonFarmersActivateWithPackSingleLSPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithPack.commonFarmers.CommonFarmersActivateWithPackSubListPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithPack.liqueur.LiqueurActivateWithPackConfigPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithPack.liqueur.LiqueurActivateWithPackListPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithPack.liqueur.LiqueurActivateWithPackSingleLSPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithPack.liqueur.LiqueurActivateWithPackSubListPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithRelation.common.CommonActivateRelationBatchLSPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithRelation.common.CommonActivateRelationConfigPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithRelation.common.CommonActivateRelationListPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithRelation.common.CommonActivateRelationSingleLSPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithRelation.liqueur.LiqueurActivateRelationBatchLSPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithRelation.liqueur.LiqueurActivateRelationConfigPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithRelation.liqueur.LiqueurActivateRelationListPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithRelation.liqueur.LiqueurActivateRelationSingleLSPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithRelation.liqueurSFY.LiqueurSFYActivateRelationBatchLSPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithRelation.liqueurSFY.LiqueurSFYActivateRelationConfigPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithRelation.liqueurSFY.LiqueurSFYActivateRelationListPresenter;
import cn.net.caoyao.cpzshandset.service.presenter.impl.activateWithRelation.liqueurSFY.LiqueurSFYActivateRelationSingleLSPresenter;

public class ActivateConfigCreateTools {
	public ActivateConfigConstact.Presenter createActivateWithRelationConfigPresenter(int handsetVersionMode, Context context,
			ActivateConfigConstact.View configView, Intent intent){
		ActivateConfigConstact.Presenter presenter = null;
		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_LIQUEUR_VERSION_MODE:
			//白酒
			presenter = new LiqueurActivateRelationConfigPresenter(context, configView, intent);
			break;
		case HandsetVersionConstant.HANDSET_LIQUEUR_SFY_VERSION_MODE:
			//武汉世方御养生酒业有限公司
			presenter = new LiqueurSFYActivateRelationConfigPresenter(context, configView, intent);
			break;
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE:
			presenter = new CommonActivateRelationConfigPresenter(context, configView, intent);
			break;

		}
		return presenter;
	}
	public ActivateConfigConstact.Presenter createActivateWithPackConfigPresenter(int handsetVersionMode, Context context,
			ActivateConfigConstact.View configView, Intent intent){
		ActivateConfigConstact.Presenter presenter = null;
		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE:
			presenter = new CommonActivateWithPackConfigPresenter(context, configView, intent);
			break;
		case HandsetVersionConstant.HANDSET_LIQUEUR_VERSION_MODE:
			//白酒
			presenter = new LiqueurActivateWithPackConfigPresenter(context, configView, intent);
			break;
		case HandsetVersionConstant.HANDSET_UNIVERSAL_EGG_VERSION_MODE:
			//通用鸡蛋版
			presenter = new CommonEggActivateWithPackConfigPresenter(context, configView, intent);
			break;
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE_FARMERS:
			presenter = new CommonFarmersActivateWithPackConfigPresenter(context, configView, intent);
			break;
		}
		return presenter;
	}
	public ActivateConfigConstact.Presenter createActivateConfigPresenter(int handsetVersionMode, Context context,
			ActivateConfigConstact.View configView, Intent intent){
		ActivateConfigConstact.Presenter presenter = null;
		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE:
			// 通用版
			presenter = new CommonActivateConfigPresenter(context, configView,intent);
			break;
		case HandsetVersionConstant.HANDSET_RICE_VERSION_MODE:
			// 大米
			break;
		case HandsetVersionConstant.HANDSET_HOLOTHURIAN_VERSION_MODE:
			// 海参
			break;
		case HandsetVersionConstant.HANDSET_WINE_TERMINAL_VERSION_MODE:
			// 酒终端
			break;
		case HandsetVersionConstant.HANDSET_WINE_DEALER_VERSION_MODE:
			// 酒经销商
			break;
		case HandsetVersionConstant.HANDSET_FIRE_EXTINGUISHER_VERSION_MODE:
			// 灭火器
			break;
		case HandsetVersionConstant.HANDSET_AGRICULTURAL_PRODUCTS_VERSION_MODE:
			// 农产品
			break;
		case HandsetVersionConstant.HANDSET_SEED_VERSION_MODE:
			// 种子
			break;
		case HandsetVersionConstant.HANDSET_YTH_VERSION_MODE:
			// 云天化
			break;
		case HandsetVersionConstant.HANDSET_YTH_IMAGE_VERSION_MODE:
			//云天化的产品列表图片版
			presenter = new YthImageActivateConfigPresenter(context, configView,intent);
			break;
		case HandsetVersionConstant.HANDSET_LIQUEUR_VERSION_MODE:
			//白酒
			presenter = new LiqueurActivateConfigPresenter(context, configView, intent);
			break;
		case HandsetVersionConstant.HANDSET_UNIVERSAL_EGG_VERSION_MODE:
			// 通用鸡蛋版
			presenter = new CommonEggActivateConfigPresenter(context, configView,intent);
			break;
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE_FARMERS:
			// 通用版养殖户
			presenter = new CommonFarmersActivateConfigPresenter(context, configView,intent);
			break;
		}
		return presenter;
	}
	/**
	 * 获取激活列表的presenter
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createActivateListPresenter(int handsetVersionMode, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		OptionHisListStyleConstact.Presenter presenter = null;

		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE:
			// 通用版
			presenter = new CommonActivateListPresenter(context, hisView);
			break;
		case HandsetVersionConstant.HANDSET_RICE_VERSION_MODE:
			// 大米
			break;
		case HandsetVersionConstant.HANDSET_HOLOTHURIAN_VERSION_MODE:
			// 海参
			break;
		case HandsetVersionConstant.HANDSET_WINE_TERMINAL_VERSION_MODE:
			// 酒终端
			break;
		case HandsetVersionConstant.HANDSET_WINE_DEALER_VERSION_MODE:
			// 酒经销商
			break;
		case HandsetVersionConstant.HANDSET_FIRE_EXTINGUISHER_VERSION_MODE:
			// 灭火器
			break;
		case HandsetVersionConstant.HANDSET_AGRICULTURAL_PRODUCTS_VERSION_MODE:
			// 农产品
			break;
		case HandsetVersionConstant.HANDSET_SEED_VERSION_MODE:
			// 种子
			break;
		case HandsetVersionConstant.HANDSET_YTH_VERSION_MODE:
			// 云天化
			break;
		case HandsetVersionConstant.HANDSET_YTH_IMAGE_VERSION_MODE:
			//云天化的产品列表图片版
			presenter = new YthImageActivateListPresenter(context, hisView);
			break;
		case HandsetVersionConstant.HANDSET_LIQUEUR_VERSION_MODE:
			presenter = new LiqueurActivateListPresenter(context, hisView);
			break;
		case HandsetVersionConstant.HANDSET_UNIVERSAL_EGG_VERSION_MODE:
			// 通用鸡蛋版
			presenter = new CommonEggActivateListPresenter(context, hisView);
			break;
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE_FARMERS:
			// 通用版养殖户
			presenter = new CommonFarmersActivateListPresenter(context, hisView);
			break;	
		/*case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE_FARMERS:
			// 通用版养殖户
			presenter = new CommonFarmersActivateListPresenter(context, hisView);
			break;	
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE_FARMERS:
			// 通用版养殖户
			presenter = new CommonFarmersActivateListPresenter(context, hisView);
			break;	*/	
		}
		return presenter;
	}
	/**
	 * 获取激活列表的presenter
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createActivateWithPackSubListPresenter(int handsetVersionMode, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		OptionHisListStyleConstact.Presenter presenter = null;

		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE:
			presenter = new CommonActivateWithPackSubListPresenter(context, hisView,intent);
			break;
		case HandsetVersionConstant.HANDSET_LIQUEUR_VERSION_MODE:
			presenter = new LiqueurActivateWithPackSubListPresenter(context, hisView, intent);
			break;
		case HandsetVersionConstant.HANDSET_UNIVERSAL_EGG_VERSION_MODE:
			//通用鸡蛋版
			presenter = new CommonEggActivateWithPackSubListPresenter(context, hisView,intent);
			break;
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE_FARMERS:
			presenter = new CommonFarmersActivateWithPackSubListPresenter(context, hisView,intent);
			break;	
		}
		return presenter;
	}
	/**
	 * 获取激活列表的presenter
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createActivateWithPackListPresenter(int handsetVersionMode, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		OptionHisListStyleConstact.Presenter presenter = null;

		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE:
			presenter = new CommonActivateWithPackListPresenter(context, hisView);
			break;
		case HandsetVersionConstant.HANDSET_LIQUEUR_VERSION_MODE:
			presenter = new LiqueurActivateWithPackListPresenter(context, hisView);
			break;
		case HandsetVersionConstant.HANDSET_UNIVERSAL_EGG_VERSION_MODE:
			//通用鸡蛋版
			presenter = new CommonEggActivateWithPackListPresenter(context, hisView);
			break;
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE_FARMERS:
			presenter = new CommonFarmersActivateWithPackListPresenter(context, hisView);
			break;	
		}
		return presenter;
	}
	/**
	 * 获取激活列表的presenter
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public OptionHisListStyleConstact.Presenter createActivateWithRelationListPresenter(int handsetVersionMode, Context context,
			OptionHisListStyleConstact.View hisView, Intent intent) {
		OptionHisListStyleConstact.Presenter presenter = null;

		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_LIQUEUR_VERSION_MODE:
			presenter = new LiqueurActivateRelationListPresenter(context, hisView);
			break;
		case HandsetVersionConstant.HANDSET_LIQUEUR_SFY_VERSION_MODE:
			//武汉世方御养生酒业有限公司
			presenter = new LiqueurSFYActivateRelationListPresenter(context, hisView);
			break;
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE:
			presenter = new CommonActivateRelationListPresenter(context, hisView);
			break;
		}
		return presenter;
	}
	/**
	 * 获取激活列表的presenter
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public SingleLabelScannerConstact.Presenter createActivateSingleLabelScannerPresenter(int handsetVersionMode, Context context,
			SingleLabelScannerConstact.View sView, Intent intent) {
		SingleLabelScannerConstact.Presenter presenter = null;

		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE:
			// 通用版
			presenter = new CommonActivateSingleLSPresenter(sView, context,intent);
			break;
		case HandsetVersionConstant.HANDSET_RICE_VERSION_MODE:
			// 大米
			break;
		case HandsetVersionConstant.HANDSET_HOLOTHURIAN_VERSION_MODE:
			// 海参
			break;
		case HandsetVersionConstant.HANDSET_WINE_TERMINAL_VERSION_MODE:
			// 酒终端
			break;
		case HandsetVersionConstant.HANDSET_WINE_DEALER_VERSION_MODE:
			// 酒经销商
			break;
		case HandsetVersionConstant.HANDSET_FIRE_EXTINGUISHER_VERSION_MODE:
			// 灭火器
			break;
		case HandsetVersionConstant.HANDSET_AGRICULTURAL_PRODUCTS_VERSION_MODE:
			// 农产品
			break;
		case HandsetVersionConstant.HANDSET_SEED_VERSION_MODE:
			// 种子
			break;
		case HandsetVersionConstant.HANDSET_YTH_VERSION_MODE:
			// 云天化
			break;
		case HandsetVersionConstant.HANDSET_YTH_IMAGE_VERSION_MODE:
			presenter = new YthImageActivateSingleLSPresenter(sView, context,intent);
			break;
		case HandsetVersionConstant.HANDSET_LIQUEUR_VERSION_MODE:
			presenter = new LiqueurActivateSingleLSPresenter(sView, context, intent);
			break;
		case HandsetVersionConstant.HANDSET_UNIVERSAL_EGG_VERSION_MODE:
			// 通用鸡蛋版
			presenter = new CommonEggActivateSingleLSPresenter(sView, context,intent);
			break;
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE_FARMERS:
			// 通用版养殖户
			presenter = new CommonFarmersActivateSingleLSPresenter(sView, context,intent);
			break;	
		}
		return presenter;
	}
	
	/**
	 * 获取激活列表的presenter
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public SingleLabelScannerConstact.Presenter createActivateWithPackSingleLabelScannerPresenter(int handsetVersionMode, Context context,
			SingleLabelScannerConstact.View sView, Intent intent) {
		SingleLabelScannerConstact.Presenter presenter = null;

		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE:
			presenter = new CommonActivateWithPackSingleLSPresenter(sView, context, intent);
			break;
		case HandsetVersionConstant.HANDSET_LIQUEUR_VERSION_MODE:
			presenter = new LiqueurActivateWithPackSingleLSPresenter(sView, context, intent);
			break;
		case HandsetVersionConstant.HANDSET_UNIVERSAL_EGG_VERSION_MODE:
			//通用鸡蛋版
			presenter = new CommonEggActivateWithPackSingleLSPresenter(sView, context, intent);
			break;
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE_FARMERS:
			presenter = new CommonFarmersActivateWithPackSingleLSPresenter(sView, context, intent);
			break;	
		}
		return presenter;
	}
	/**
	 * 获取激活列表的presenter
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public SingleLabelScannerConstact.Presenter createActivateWithRelationSingleLabelScannerPresenter(int handsetVersionMode, Context context,
			SingleLabelScannerConstact.View sView, Intent intent) {
		SingleLabelScannerConstact.Presenter presenter = null;

		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_LIQUEUR_VERSION_MODE:
			presenter = new LiqueurActivateRelationSingleLSPresenter(sView, context, intent);
			break;
		case HandsetVersionConstant.HANDSET_LIQUEUR_SFY_VERSION_MODE:
			//武汉世方御养生酒业有限公司
			presenter = new LiqueurSFYActivateRelationSingleLSPresenter(sView, context, intent);
			break;
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE:
			presenter = new CommonActivateRelationSingleLSPresenter(sView, context, intent);
			break;
		}
		return presenter;
	}
	/**
	 * 获取激活列表的presenter
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public BatchLabelScannerConstact.Presenter createActivateBatchLabelScannerPresenter(int handsetVersionMode, Context context,
			BatchLabelScannerConstact.View bView, Intent intent) {
		BatchLabelScannerConstact.Presenter presenter = null;

		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE:
			// 通用版
			presenter = new CommonActivateBatchLSPresenter(bView, context,intent);
			break;
		case HandsetVersionConstant.HANDSET_RICE_VERSION_MODE:
			// 大米
			break;
		case HandsetVersionConstant.HANDSET_HOLOTHURIAN_VERSION_MODE:
			// 海参
			break;
		case HandsetVersionConstant.HANDSET_WINE_TERMINAL_VERSION_MODE:
			// 酒终端
			break;
		case HandsetVersionConstant.HANDSET_WINE_DEALER_VERSION_MODE:
			// 酒经销商
			break;
		case HandsetVersionConstant.HANDSET_FIRE_EXTINGUISHER_VERSION_MODE:
			// 灭火器
			break;
		case HandsetVersionConstant.HANDSET_AGRICULTURAL_PRODUCTS_VERSION_MODE:
			// 农产品
			break;
		case HandsetVersionConstant.HANDSET_SEED_VERSION_MODE:
			// 种子
			break;
		case HandsetVersionConstant.HANDSET_YTH_VERSION_MODE:
			// 云天化
			break;
		case HandsetVersionConstant.HANDSET_LIQUEUR_VERSION_MODE:
			//白酒
			presenter = new LiqueurActivateBatchLSPresenter(bView, context, intent);
			break;
		case HandsetVersionConstant.HANDSET_UNIVERSAL_EGG_VERSION_MODE:
			// 通用鸡蛋版
			presenter = new CommonEggActivateBatchLSPresenter(bView, context,intent);
			break;
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE_FARMERS:
			// 通用版
			presenter = new CommonFarmersActivateBatchLSPresenter(bView, context,intent);
			break;	
		}
		return presenter;
	}
	
	/**
	 * 获取激活列表的presenter
	 * @param cacheG
	 * @param context
	 * @param hisView
	 * @param intent
	 * @return
	 */
	public BatchLabelScannerConstact.Presenter createActivateRelationBatchLabelScannerPresenter(int handsetVersionMode, Context context,
			BatchLabelScannerConstact.View bView, Intent intent) {
		BatchLabelScannerConstact.Presenter presenter = null;

		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_LIQUEUR_VERSION_MODE:
			presenter = new LiqueurActivateRelationBatchLSPresenter(bView, context, intent);
			break;
		case HandsetVersionConstant.HANDSET_LIQUEUR_SFY_VERSION_MODE:
			//武汉世方御养生酒业有限公司
			presenter = new LiqueurSFYActivateRelationBatchLSPresenter(bView, context, intent);
			break;
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE:
			presenter = new CommonActivateRelationBatchLSPresenter(bView, context, intent);
			break;
		}
		return presenter;
	}
	
	/**
	 * 获取激活相关的数据库dal
	 * @param handsetVersionMode
	 * @param context
	 * @return
	 */
	public ActivateDal createActivateDal(int handsetVersionMode, Context context){
		ActivateDal dal = null;
		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE:
			// 通用版
			dal = new CommonActivateDal(context);
			break;
		case HandsetVersionConstant.HANDSET_RICE_VERSION_MODE:
			// 大米
			break;
		case HandsetVersionConstant.HANDSET_HOLOTHURIAN_VERSION_MODE:
			// 海参
			break;
		case HandsetVersionConstant.HANDSET_WINE_TERMINAL_VERSION_MODE:
			// 酒终端
			break;
		case HandsetVersionConstant.HANDSET_WINE_DEALER_VERSION_MODE:
			// 酒经销商
			break;
		case HandsetVersionConstant.HANDSET_FIRE_EXTINGUISHER_VERSION_MODE:
			// 灭火器
			break;
		case HandsetVersionConstant.HANDSET_AGRICULTURAL_PRODUCTS_VERSION_MODE:
			// 农产品
			break;
		case HandsetVersionConstant.HANDSET_SEED_VERSION_MODE:
			// 种子
			break;
		case HandsetVersionConstant.HANDSET_YTH_VERSION_MODE:
			// 云天化
			break;
		case HandsetVersionConstant.HANDSET_YTH_IMAGE_VERSION_MODE:
			//云天化图片版
			dal = new YthImageActivateDal(context);
			break;
		case HandsetVersionConstant.HANDSET_LIQUEUR_VERSION_MODE:
			//白酒
			dal = new LiqueurActivateDal(context);
			break;
		case HandsetVersionConstant.HANDSET_UNIVERSAL_EGG_VERSION_MODE:
			//通用鸡蛋版
			dal = new CommonEggActivateDal(context);
			break;
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE_FARMERS:	
			//通用版养殖户
			dal = new CommonFarmersActivateDal(context);
		case HandsetVersionConstant.HANDSET_KIA_PRODUCT_LINE_VERSION_MODE:
			//起亚汽车
			dal = new KIAActivateDal(context);
			break;	
		}
		return dal;
	}
	
	/**
	 * 获取激活相关的数据库dal
	 * @param handsetVersionMode
	 * @param context
	 * @return
	 */
	public ActivateWithPackDal createActivateWithPackDal(int handsetVersionMode, Context context){
		ActivateWithPackDal dal = null;
		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE:
			// 通用版
			dal = new CommonActivateWithPackDal(context);
			break;
		case HandsetVersionConstant.HANDSET_LIQUEUR_VERSION_MODE:
			//白酒
			dal = new LiqueurActivateWithPackDal(context);
			break;
		case HandsetVersionConstant.HANDSET_UNIVERSAL_EGG_VERSION_MODE:
			//通用鸡蛋版
			dal = new CommonEggActivateWithPackDal(context);
			break;
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE_FARMERS:
			// 通用版养殖户
			dal = new CommonFarmersActivateWithPackDal(context);
			break;	
			
			
		}
		return dal;
	}
	
	/**
	 * 获取激活相关的数据库dal
	 * @param handsetVersionMode
	 * @param context
	 * @return
	 */
	public ActivateWithRelationDal createActivateWithRelationDal(int handsetVersionMode, Context context){
		ActivateWithRelationDal dal = null;
		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_LIQUEUR_VERSION_MODE:
			//白酒
			dal = new LiqueurActivateWithRelationDal(context);
			break;
		case HandsetVersionConstant.HANDSET_LIQUEUR_SFY_VERSION_MODE:
			//武汉世方御养生酒业有限公司
			dal = new LiqueurSFYActivateWithRelationDal(context);
			break;
		case HandsetVersionConstant.HANDSET_UNIVERSAL_VERSION_MODE:
			//通用版
			dal = new CommonActivateWithRelationDal(context);
			break;

		}
		return dal;
	}
	
	/**
	 * 获取激活相关的数据库dal
	 * @param handsetVersionMode
	 * @param context
	 * @return
	 */
	public GroupInfoDal createGroupInfoDal(int handsetVersionMode, Context context){
		GroupInfoDal dal = null;
		switch (handsetVersionMode) {
		case HandsetVersionConstant.HANDSET_LIQUEUR_VERSION_MODE:
			//白酒
			dal = new LiqueurGroupInfoDal(context);
			break;
		case HandsetVersionConstant.HANDSET_LIQUEUR_SFY_VERSION_MODE:
			//武汉世方御养生酒业有限公司
			dal = new LiqueurSFYGroupInfoDal(context);
			break;

		}
		return dal;
	}
}
